#! /bin/sh
#------------------------------------------------------------------------------
# /var/install/config.d/backup-zip.sh
#
# --- Backup-ZIP 1.2.2 for Eis/Fair Server ---
#
# Copyright (c) 2005 Hans-Peter Seiler <hanspeterseiler(at)web.de>
#               2017-2018 Marcus Roeckrath <marcus.roeckrath(at)gmx.de>
#
# Creation:     15.09.2005  hs
# Last Update:  03.02.2018  mr
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#------------------------------------------------------------------------------

progconf=/etc/config.d/backup-zip
crontab_path=/var/cron/etc/root
crontab_file=$crontab_path/backup-zip
crontab_file2=$crontab_path/backup-zip.flop

. $progconf

add_cron_job ()
{
    test -d $crontab_path || mkdir -p $crontab_path
    cron_jobs="$BACKUP_CRON_JOB_N"
    cron_nr="1"
    while [ "$cron_nr" -le "$cron_jobs" ] ; do
        eval cur_cron_job='$BACKUP_CRON_JOB_'$cron_nr''
        (
        echo "#"
        echo "# Do not edit this file, edit $progconf"
        echo "# Creation date: `date`"
        echo "$cur_cron_job /usr/lib/backup-zip/backup.create scron $cron_nr >/dev/null"
        ) > $crontab_file.$cron_nr
        cron_nr=`expr $cron_nr + 1`
    done
    /var/install/config.d/cron
}

delete_cron_job ()
{
    rm -f $crontab_file*
}

delete_cron_job
add_cron_job
